{% extends 'Default/backend.html.twig' %}

{% block stylesheets %}

  {{ parent() }}
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/css/dataTables.bootstrap4.min.css" integrity="sha512-PT0RvABaDhDQugEbpNMwgYBCnGCiTZMh9yOzUsJHDgl/dMhD9yjHAwoumnUk3JydV3QTcIkNDuN40CJxik5+WQ==" crossorigin="anonymous" referrerpolicy="no-referrer" />
{% endblock %}

{% block javascripts %}
  {{ parent() }}
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.1/jquery.min.js" integrity="sha512-aVKKRRi/Q/YV+4mjoKBsE4x3H+BkegoM/em46NNlCqNTmUYADjBbeNefNxYV7giUp0VxICtqdrbqU7iVaeZNXA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/js/jquery.dataTables.min.js" integrity="sha512-BkpSL20WETFylMrcirBahHfSnY++H2O1W+UnEEO4yNIl+jI2+zowyoGJpbtk6bx97fBXf++WJHSSK2MV4ghPcg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/js/dataTables.bootstrap4.min.js" integrity="sha512-OQlawZneA7zzfI6B1n1tjUuo3C5mtYuAWpQdg+iI9mkDoo7iFzTqnQHf+K5ThOWNJ9AbXL4+ZDwH7ykySPQc+A==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

  <script>
    const lang = document.documentElement.lang.toString();
    //Default
    let url_language = '/bundles/app/js/libs/datatables/it-IT.json';
    if(lang === 'en'){
      url_language = '/bundles/app/js/libs/datatables/en-GB.json';
    }else if(lang === 'de'){
      url_language = '/bundles/app/js/libs/datatables/de-DE.json';
    }
    // Datatable
    $('#payments-table').DataTable({
      "order": [[3, "desc"]],
      columnDefs: [
        {orderable: true, targets: 0},
        {orderable: true, targets: 1},
        {orderable: true, targets: 2},
        {orderable: true, targets: 3},
        {orderable: true, targets: 4},
        {orderable: false, targets: 5}
      ],
      language: {
        url: url_language
      },
      stateSave: true,
      dom: "<'row'<'col-6 pt-2'l><'col-6'f>>" +
        "<'row'<'col-12'tr>>" +
        "<'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 mt-2'p>>"
    });

    // Datatable
    $('#missing-payments-table').DataTable({
      "order": [0, "desc"],
      language: {
        url: '/bundles/app/js/libs/datatables/it-IT.json'
      },
      stateSave: true,
      dom: "<'row'<'col-6 pt-2'l><'col-6'f>>" +
        "<'row'<'col-12'tr>>" +
        "<'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 mt-2'p>>"
    });
  </script>
{% endblock %}

{% block main_content %}

  <section id="intro" class="container px-4 my-4">
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        <div class="chip chip-primary chip-lg truncate-wrapper"><span class="chip-label text-truncate">{{ subscriptionService.name }}</span></div>
        <h2>{{ 'backoffice.integration.subscription_service.identifier_payments' | trans({'%identifier%': identifier}) }}</h2>
      </div>
      <div class="col-lg-12 px-lg-4 py-lg-2 my-4">
        <ul class="nav nav-tabs" id="Tab" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="payments-tab" data-toggle="tab" href="#payments" role="tab" aria-controls="payments" aria-selected="true">
              <svg class="icon icon-primary">
                <use href="/bootstrap-italia/dist/svg/sprite.svg#it-check"></use>
              </svg> {{ 'backoffice.integration.subscription_service.payment.payments_made' | trans }} <span class="badge badge-light ml-1">{{ paymentsMade | length }}</span>
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="missing-payments-tab" data-toggle="tab" href="#missing-payments" role="tab" aria-controls="missing-payments" aria-selected="false">
              <svg class="icon icon-primary">
                <use href="/bootstrap-italia/dist/svg/sprite.svg#it-close"></use>
              </svg>{{ 'backoffice.integration.subscription_service.payment.missing_subscribers' | trans }} <span class="badge badge-light ml-1">{{ missingPayments | length }}
            </a>
          </li>
        </ul>
        <div class="tab-content" id="TabContent">
          <div class="tab-pane p-4 fade show active" id="payments" role="tabpanel" aria-labelledby="payments-tab">
            <table id="payments-table" class="table table-striped table-condensed ">
              <thead>
              <tr>
                <th>{{ 'iscrizioni.subscribers.completename'|trans }}</th>
                <th>{{ 'iscrizioni.subscribers.fiscal_code'|trans }}</th>
                <th>{{ 'backoffice.integration.subscription_service.payment.reason'|trans }}</th>
                <th>{{ 'backoffice.integration.subscription_service.payment.execution_date'|trans }}</th>
                <th>{{ 'backoffice.integration.subscription_service.payment.amount'|trans }}</th>
                <th aria-label="{{ 'no_value' | trans() }}" ></th>
              </tr>
              </thead>
              <tbody>
              {% for payment in paymentsMade %}
                <tr>
                  <td>{{ payment.subscription.subscriber.name }} {{ payment.subscription.subscriber.surname }}</td>
                  <td>{{ payment.subscription.subscriber.fiscalCode }}</td>
                  <td>{{ payment.description }}</td>
                  <td>{% if payment.paymentDate %}{{ payment.paymentDate | format_date( locale=app.request.locale) }}{% endif %}</td>
                  <td>{{ payment.amount }} €</td>
                  <td>
                    {{ include('SubscriptionServices/table/_paymentActions.html.twig', {'payment': payment}) }}
                  </td>
                </tr>
              {% endfor %}
              </tbody>
            </table>
          </div>
          <div class="tab-pane p-4 fade" id="missing-payments" role="tabpanel" aria-labelledby="missing-payments-tab">
            <table id="missing-payments-table" class="table table-striped table-condensed">
              <thead>
              <tr>
                <th>{{ 'iscrizioni.subscribers.completename'|trans }}</th>
                <th>{{ 'iscrizioni.subscribers.fiscal_code'|trans }}</th>
                <th>{{ 'iscrizioni.subscribers.email_address'|trans }}</th>
              </tr>
              </thead>
              <tbody>
              {% for missingPayment in missingPayments %}
                <tr>
                  <td>{{ missingPayment.subscriber.name }} {{ missingPayment.subscriber.surname }}</td>
                  <td>{{ missingPayment.subscriber.fiscalCode }}</td>
                  <td><a href="{{ missingPayment.subscriber.email }}">{{ missingPayment.subscriber.email }}</a></td>
                </tr>
              {% endfor %}
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-8">
        <a class="btn btn-100 btn-sm" href="{{ path('operatori_subscription-service_index') }}">{{ 'iscrizioni.back_to_list' | trans }}</a>
        <a class="btn btn-100 btn-sm"
           href="{{ path('operatori_subscriptions', { 'subscriptionService': subscriptionService.id }) }}">{{ 'iscrizioni.subscriptions' | trans }}</a>
        <a class="btn btn-primary btn-sm"
           href="{{ path('operatori_subscription-service_show', { 'subscriptionService': subscriptionService.id }) }}">{{ 'iscrizioni.back_to_service' | trans }}</a>
      </div>
    </div>
  </section>
{% endblock %}

